﻿#pragma strict

//TEXTURES
var frt1 : Texture;
var frt2 : Texture;
var frt3 : Texture;
var bck1 : Texture;
var bck2 : Texture;
var bck3 : Texture;
var lft1 : Texture;
var lft2 : Texture;
var lft3 : Texture;
var rgh1 : Texture;
var rgh2 : Texture;
var rgh3 : Texture;

var playerMaterial : Material;

var timer : float;

var lastKeyPress : String;

function Start()
{
	
}

function Update()
{
	if (PlayerControlScript.moving || Input.GetKey ("left") || Input.GetKey ("right") || Input.GetKey ("up") || Input.GetKey ("down"))
	{
		timer += Time.deltaTime;
		
		if (Input.GetKey ("left"))
		{
			lastKeyPress = "left";
			if (timer < 0.2)
				playerMaterial.SetTexture("_MainTex", lft1);
			if (timer > 0.2 && timer < 0.4)
				playerMaterial.SetTexture("_MainTex", lft2);
			if (timer > 0.4 && timer < 0.6)
				playerMaterial.SetTexture("_MainTex", lft1);
			if (timer > 0.6 && timer < 0.8)
				playerMaterial.SetTexture("_MainTex", lft3);
			if (timer > 0.8)
				timer = 0;
		}
		
		if (Input.GetKey ("right"))
		{
			lastKeyPress = "right";
			if (timer < 0.2)
				playerMaterial.SetTexture("_MainTex", rgh1);
			if (timer > 0.2 && timer < 0.4)
				playerMaterial.SetTexture("_MainTex", rgh2);
			if (timer > 0.4 && timer < 0.6)
				playerMaterial.SetTexture("_MainTex", rgh1);
			if (timer > 0.6 && timer < 0.8)
				playerMaterial.SetTexture("_MainTex", rgh3);
			if (timer > 0.8)
				timer = 0;
		}
		
		if (Input.GetKey ("up"))
		{
			lastKeyPress = "up";
			if (timer < 0.2)
				playerMaterial.SetTexture("_MainTex", bck1);
			if (timer > 0.2 && timer < 0.4)
				playerMaterial.SetTexture("_MainTex", bck2);
			if (timer > 0.4 && timer < 0.6)
				playerMaterial.SetTexture("_MainTex", bck1);
			if (timer > 0.6 && timer < 0.8)
				playerMaterial.SetTexture("_MainTex", bck3);
			if (timer > 0.8)
				timer = 0;
		}
		
		if (Input.GetKey ("down"))
		{
			lastKeyPress = "down";
			if (timer < 0.2)
				playerMaterial.SetTexture("_MainTex", frt1);
			if (timer > 0.2 && timer < 0.4)
				playerMaterial.SetTexture("_MainTex", frt2);
			if (timer > 0.4 && timer < 0.6)
				playerMaterial.SetTexture("_MainTex", frt1);
			if (timer > 0.6 && timer < 0.8)
				playerMaterial.SetTexture("_MainTex", frt3);
			if (timer > 0.8)
				timer = 0;
		}
	}
	else
	{
		timer = 0;
		
		if (lastKeyPress == "left")
			playerMaterial.SetTexture("_MainTex", lft1);
		if (lastKeyPress == "right")
			playerMaterial.SetTexture("_MainTex", rgh1);
		if (lastKeyPress == "up")
			playerMaterial.SetTexture("_MainTex", bck1);
		if (lastKeyPress == "down")
			playerMaterial.SetTexture("_MainTex", frt1);
	}
	
	/*
	if (Input.GetKey ("right"))
	{movingRight = true;	xTarget = gameObject.transform.position.x + distance;}

	if (Input.GetKey ("down"))
	{movingDown = true; zTarget = gameObject.transform.position.z - distance;}
	
	if (Input.GetKey ("up"))
	{movingUp = true; zTarget = gameObject.transform.position.z + distance;}
	*/
}